| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Static Public Attributes

# EECFI.EnumVisibility Class Reference

Enumerations for Orbit library. More...

List of all members.

## Static Public Attributes
static long | XVCFI_ORBIT_ABS = 0
| Type of orbit input.
static long | XVCFI_ORBIT_REL = 1
| Relative orbits.
static long | XVCFI_STF = 0
| Swath type.
static long | XVCFI_SDF = 1
static long | XVCFI_COMPLETE = 0
| Coverage.
static long | XVCFI_LEFT = 1
| LEFT extreme transition found by ZONEVISTIME.
static long | XVCFI_RIGHT = 2
| RIGHT extreme transition found by ZONEVISTIME.
static long | XVCFI_BOTH = 3
| BOTH transitions found by ZONEVISTIME.
static long | XVCFI_COMBINE = 0
| Combination of AOS, LOS and physical mask.
static long | XVCFI_AOS_LOS = 1
| Combination of AOS/LOS only.
static long | XVCFI_PHYSICAL = 2
| Consider physical mask only.
static long | XVCFI_FROM_FILE = 3
| Consider mask form GS DB.
static long | XVCFI_STAR_UNDEFINED = 0
| Visibility starts/ends at the first/last FOV in starVisTime.
static long | XVCFI_STAR_UPPER = 1
| Visibility starts/ends at the upper FOV in starVisTime.
static long | XVCFI_STAR_LOWER = 2
| Visibility starts/ends at the lower FOV in starVisTime.
static long | XVCFI_STAR_LEFT = 3
| Visibility starts/ends at the left FOV in starVisTime.
static long | XVCFI_STAR_RIGHT = 4
| Visibility starts/ends at the right FOV in starVisTime.
static long | XVCFI_ASCENDING = 0
static long | XVCFI_DESDENDING = 1
static long | XVCFI_NO_VIS = -1
| No visibility segments computed.
static long | XVCFI_ZONE_VIS = 0
| Zone visibility segments.
static long | XVCFI_STATION_VIS = 1
| Station visibility segments.
static long | XVCFI_MULTI_ZONES_VIS = 2
| Multiple zones visibility segments.
static long | XVCFI_MULTI_STATIONS_VIS = 3
| Multiple stations visibility segments.
static long | XVCFI_MAPPING_VIS = 4
| Mapping visibility segments.
static long | XVCFI_DRS_VIS = 5
| DRS visibility.
static long | XVCFI_STAR_VIS = 6
| Star visibility.
static long | XVCFI_SAT_DEFAULT = XLCFI_SAT_DEFAULT
static long | XVCFI_SAT_DEFAULT1 = XLCFI_SAT_DEFAULT1
static long | XVCFI_SAT_DEFAULT2 = XLCFI_SAT_DEFAULT2
static long | XVCFI_SAT_DEFAULT3 = XLCFI_SAT_DEFAULT3
static long | XVCFI_SAT_DEFAULT4 = XLCFI_SAT_DEFAULT4
static long | XVCFI_SAT_DEFAULT5 = XLCFI_SAT_DEFAULT5
static long | XVCFI_SAT_DEFAULT6 = XLCFI_SAT_DEFAULT6
static long | XVCFI_SAT_DEFAULT7 = XLCFI_SAT_DEFAULT7
static long | XVCFI_SAT_DEFAULT8 = XLCFI_SAT_DEFAULT8
static long | XVCFI_SAT_DEFAULT9 = XLCFI_SAT_DEFAULT9
static long | XVCFI_SAT_ERS1 = XLCFI_SAT_ERS1
static long | XVCFI_SAT_ERS2 = XLCFI_SAT_ERS2
static long | XVCFI_SAT_ENVISAT = XLCFI_SAT_ENVISAT
static long | XVCFI_SAT_METOP1 = XLCFI_SAT_METOP1
static long | XVCFI_SAT_METOP2 = XLCFI_SAT_METOP2
static long | XVCFI_SAT_METOP3 = XLCFI_SAT_METOP3
static long | XVCFI_SAT_CRYOSAT = XLCFI_SAT_CRYOSAT
static long | XVCFI_SAT_ADM = XLCFI_SAT_ADM
static long | XVCFI_SAT_GOCE = XLCFI_SAT_GOCE
static long | XVCFI_SAT_SMOS = XLCFI_SAT_SMOS
static long | XVCFI_SAT_TERRASAR = XLCFI_SAT_TERRASAR
static long | XVCFI_SAT_EARTHCARE = XLCFI_SAT_EARTHCARE
static long | XVCFI_SAT_SWARM_A = XLCFI_SAT_SWARM_A
static long | XVCFI_SAT_SWARM_B = XLCFI_SAT_SWARM_B
static long | XVCFI_SAT_SWARM_C = XLCFI_SAT_SWARM_C
static long | XVCFI_SAT_SENTINEL_1A = XLCFI_SAT_SENTINEL_1A
static long | XVCFI_SAT_SENTINEL_1B = XLCFI_SAT_SENTINEL_1B
static long | XVCFI_SAT_SENTINEL_2 = XLCFI_SAT_SENTINEL_2
static long | XVCFI_SAT_SENTINEL_3 = XLCFI_SAT_SENTINEL_3
static long | XVCFI_SAT_SEOSAT = XLCFI_SAT_SEOSAT
static long | XVCFI_SAT_SENTINEL_1C = XLCFI_SAT_SENTINEL_1C
static long | XVCFI_SAT_SENTINEL_2A = XLCFI_SAT_SENTINEL_2A
static long | XVCFI_SAT_SENTINEL_2B = XLCFI_SAT_SENTINEL_2B
static long | XVCFI_SAT_SENTINEL_2C = XLCFI_SAT_SENTINEL_2C
static long | XVCFI_SAT_SENTINEL_3A = XLCFI_SAT_SENTINEL_3A
static long | XVCFI_SAT_SENTINEL_3B = XLCFI_SAT_SENTINEL_3B
static long | XVCFI_SAT_SENTINEL_3C = XLCFI_SAT_SENTINEL_3C
static long | XVCFI_SAT_GENERIC = XLCFI_SAT_GENERIC

## Detailed Description

Enumerations for Orbit library.